## NAME

           pspolar - Plot polarities on the inferior focal half-sphere on maps

## SYNOPSIS

           pspolar files -Jparameters -Rwest/east/south/north -Dlongitude/latitude
           -Msize   -S<symbol><size>   [   -Btickinfo   ]   [    -Clongitude/lati-
           tude[/dash_width/pointsize]  ] [ -Fred/green/blue ] [ -Gfill ] [ -gfill
           ] [ -H ] [ -h ] [ -K ] [ -L ]  [  -N  ]  [  -O  ]  [  -P  ]  [  -sHalf-
           size[v[[<v_width/h_length/h_width/shape>]][g[<r/g/b>]][l]    [    -Tan-
           gle/form/justify/fontsize ] [ -t<pen> ] [ -U[label] ] [ -V ] [ -Wpen  ]
           [ -Xx-shift ] [ -Yy-shift ] [ -ccopies ]

## DESCRIPTION

           pspolar  reads data values from files [or standard input] and generates
           PostScript code that will plot stations on focal mechanisms on  a  map.
           The PostScript code is written to standard output.

           Parameters are expected to be in the following columns

           1,2,3,4
                  station_code, azimuth, take-off angle, polarity

                  polarity:
                  - compression can be c,C,u,U,+
                  - rarefaction can be d,D,r,R,-
                  - not defined is anything else

## ARGUMENTS

           files  List one or more file-names. If no files are given, pspolar will
           read standard input.

           -J     Selects the map projection. Scale is  UNIT/degree,  1:xxxxx,  or
                  width  in  UNIT  (upper case modifier).  UNIT is cm, inch, or m,
                  depending on the MEASURE_UNIT setting in .gmtdefaults4, but this
                  can be overridden on the command line by appending c, i, or m to
                  the scale/width value.  For map height, max  dimension,  or  min
                  dimension, append h, +, or - to the width, respectively.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale  (Oblique  Mercator  -   point   and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale (Equidistant Cylindrical  Projection  (Plate  Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
                  -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
                  CONIC PROJECTIONS:

                  -Jblon0/lat0/lat1/lat2/scale (Albers)
                  -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
                  -Jllon0/lat0/lat1/lat2/scale (Lambert)

                  MISCELLANEOUS PROJECTIONS:

                  -Jhlon0/scale (Hammer)
                  -Jilon0/scale (Sinusoidal)
                  -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
                  -Jnlon0/scale (Robinson)
                  -Jrlon0/scale (Winkel Tripel)
                  -Jvlon0/scale (Van der Grinten)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin]  (polar  (theta,r)  coordinates, optional a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]][d] (Linear, log, and  power
                  scaling)
                  More details can be found in the psbasemap man pages.

           -R     xmin,  xmax,  ymin, and ymax specify the Region of interest. For
                  geographic regions,  these  limits  correspond  to  west,  east,
                  south,  and north and you may specify them in decimal degrees or
                  in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r  if  lower  left
                  and  upper  right map coordinates are given instead of wesn. The
                  two shorthands  -Rg  -Rd  stand  for  global  domain  (0/360  or
                  -180/+180  in longitude respectively, with -90/+90 in latitude).
                  For calendar time coordinates you may either give relative  time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT; append t to -JX|x), or  absolute  time  of  the  form
                  [date]T[clock]  (append  T  to  -JX|x). At least one of date and
                  clock must be present; the T is always required. The date string
                  must  be  of  the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or
                  yyyy[-Www[-d]] (ISO week calendar), while the clock string  must
                  be  of  the form hh:mm:ss[.xxx]. The use of delimiters and their
                  type and positions must be as indicated  (however,  input/output
                  and plotting formats are flexible).

           -Dlongitude/latitude
                  Maps the bubble at given longitude and latitude point.

           -Msize Sets  the  size of the beach ball to plot polarities in. Size is
                  in inch (unless c, i, m, or p is appended).

           -S<symbol_type><size>
                  Selects symbol_type and symbol size.  Size is in inch (unless c,
                  i,  m,  or  p  is  appended).   Choose  symbol type from st(a)r,
                  (c)ircle, (d)iamond, (h)exagon,  (i)nverted  triangle,  (p)oint,
                  (s)quare, (t)riangle, (x)cross.

                  If -Efill is the same as -Ffill, use -e to outline.

           -e[pen]
                  Outline  symbols in extensive quadrants using pen or the default
                  pen (see -W).

           -Ffill Sets background color of the beach ball. Default is no fill.

           -f[pen]
                  Outline the beach ball using pen or the default pen (see -W).

           -Gfill Selects filling of symbols for stations in  compressional  quad-
                  rants.   Set  the  shade  (0-255)  or  color (r/g/b) [Default is
                  0/0/0].

           -g[pen]
                  Outline symbols in compressional  quadrants  using  pen  or  the
                  default pen (see -W).

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing your  .gmtdefaults4  file.  If  used,  GMT
                  default  is  1  header record. Use -Hi if only input data should
                  have header records [Default will write out  header  records  if
                  the input data have them].

           -h     Use special format derived from HYPO71 output

           -K     More  PostScript code will be appended later [Default terminates
                  the plot system].

           -N     Does NOT skip symbols that  fall  outside  map  border  [Default
                  plots points inside border only].

           -O     Selects  Overlay  plot mode [Default initializes a new plot sys-
                  tem].

           -P     Selects Portrait plotting mode [GMT Default  is  Landscape,  see
                  gmtdefaults to change this].

           -shalf-size/[V[<v_width/h_length/h_width/shape>]][G<r/g/b>][L]
                  Plots S polarity azimuth.
                  S  polarity is in last column.  It may be a vector (V option) or
                  a  segment.   Give  half-size,v_width,h_length,h_width  in  inch
                  (unless  c, i, m, or p is appended).  [L] option is for outline.

           -Tangle/form/justify/fontsize in points
                  To write station code. [Default is 0.0/0/5/12].

           -t<pen>
                  Set pen color to write station code. Default  uses  the  default
                  pen (see -W).

           -U     Draw  Unix System time stamp on plot. User may specify where the
                  lower left corner of the stamp should fall on the page  relative
                  to  lower  left corner of plot. Optionally, append a label, or c
                  lute coordinates; the default (r) will reset plot origin.   Give
                  c to center plot using current page size.

           -:     Toggles  between  (longitude,latitude)  and (latitude,longitude)
                  input and/or output. [Default is (longitude,latitude)].   Append
                  i  to  select  input  only  or o to select output only. [Default
                  affects both].

           -c     Specifies the number of plot copies. [Default is 1].

## EXAMPLES

           pspolar -R239/240/34/35.2 -JM8 -N -Sc0.4 -H1 -D239.5/34.5  -M5  <<END>!
           test.ps
           stat azim ih pol
           0481 11 147 c
           6185 247 120 d
           0485 288 114 +
           0490 223 112 -
           0487 212 109 .
           END
           or
           pspolar  -R239/240/34/35.2  -JM8  -N  -Sc0.4  -H1  -D239.5/34.5  -M5 -h
           <<END>! test.ps
           Date Or. time stat azim ih
           910223 1 22 0481 11 147 ipu0
           910223 1 22 6185 247 120 ipd0
           910223 1 22 0485 288 114 epu0
           910223 1 22 0490 223 112 epd0
           910223 1 22 0487 212 109 epu0
           END

## SEE ALSO

           gmt(GMTMANSECTION), psbasemap(GMTMANSECTION), psxy(GMTMANSECTION)

## REFERENCES

           Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.
           Aki, K. and P. Richards, Quantitative Seismology, Freeman, 1980.

## AUTHORS

           Genevieve Patau
           Seismology Dept.
           Institut de Physique du Globe de Paris
           (patau@ipgp.jussieu.fr)

    GMT4.0                            1 Oct 2004            PSPOLAR(GMTMANSECTION)